> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch User Profile and Linked Accounts

> Retrieves a user's Discord profile information and all associated linked Minecraft accounts.



## OpenAPI

````yaml https://stash.seraph.si/json get /discord/user/{snowflake}/profile
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /discord/user/{snowflake}/profile:
    get:
      tags:
        - Discord
        - User Profile
      summary: Fetch User Profile and Linked Accounts
      description: >-
        Retrieves a user's Discord profile information and all associated linked
        Minecraft accounts.
      parameters:
        - description: Discord Snowflake ID or Minecraft UUID to fetch profile for
          in: path
          name: snowflake
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  linked_accounts:
                    items:
                      $ref: '#/components/schemas/sprint.DiscordMinecraftLink'
                    type: array
                  user_profile:
                    $ref: '#/components/schemas/sprint.UserProfile'
                type: object
          description: Successfully retrieved user profile and linked accounts
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Unauthorized, not enough permissions
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error
components:
  schemas:
    sprint.DiscordMinecraftLink:
      properties:
        id:
          type: string
        is_primary:
          type: boolean
        snowflake:
          type: string
      type: object
    sprint.UserProfile:
      properties:
        locale:
          $ref: '#/components/schemas/discord.Locale'
        snowflake:
          type: string
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    discord.Locale:
      type: string
      x-enum-varnames:
        - LocaleEnglishUS
        - LocaleEnglishGB
        - LocaleBulgarian
        - LocaleChineseCN
        - LocaleChineseTW
        - LocaleCroatian
        - LocaleCzech
        - LocaleDanish
        - LocaleDutch
        - LocaleFinnish
        - LocaleFrench
        - LocaleGerman
        - LocaleGreek
        - LocaleHindi
        - LocaleHungarian
        - LocaleIndonesian
        - LocaleItalian
        - LocaleJapanese
        - LocaleKorean
        - LocaleLithuanian
        - LocaleNorwegian
        - LocalePolish
        - LocalePortugueseBR
        - LocaleRomanian
        - LocaleRussian
        - LocaleSpanishES
        - LocaleSwedish
        - LocaleThai
        - LocaleTurkish
        - LocaleUkrainian
        - LocaleVietnamese
        - LocaleUnknown
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````